<?php

namespace Litecms\ActivityProject;

use User;

class ActivityProject
{
    /**
     * $activity_project object.
     */
    protected $activity_project;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\ActivityProject\Interfaces\ActivityProjectRepositoryInterface $activity_project)
    {
        $this->activity_project = $activity_project;
    }

    /**
     * Returns count of activity_project.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.activity_project.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->activity_project->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ActivityProjectUserCriteria());
        }

        $activity_project = $this->activity_project->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('activity_project::' . $view, compact('activity_project'))->render();
    }
}
