<?php

namespace Litecms\ActivityProject\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityProjectTransformer extends TransformerAbstract
{
    public function transform(\Litecms\ActivityProject\Models\ActivityProject $activity_project)
    {
        return [
            'id'                => $activity_project->getRouteKey(),
            'key'               => [
                'public'    => $activity_project->getPublicKey(),
                'route'     => $activity_project->getRouteKey(),
            ], 
            'title'             => $activity_project->title,
            'url'               => [
                'public'    => trans_url('activity_project/'.$activity_project->getPublicKey()),
                'user'      => guard_url('activity_project/activity_project/'.$activity_project->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_project->status),
            'created_at'        => format_date($activity_project->created_at),
            'updated_at'        => format_date($activity_project->updated_at),
        ];
    }
}